{# device_type: 'stm32h573i-dk' #}

{% set action_timeout_power_off = action_timeout_power_off | default(35) %}
{% set action_timeout_reset_device = action_timeout_reset_device | default(60) %}
{% set action_timeout_pdu_reboot = action_timeout_pdu_reboot | default(60) %}
{% set kernel_start_message = '' %}
{% set device_info = device_info|default([{'board_id': board_id}]) %}

{% extends 'base.jinja2' %}

{% block body %}
{# ID_SERIAL_SHORT #}
board_id: '{{ board_id }}'
usb_vendor_id: '{{ usb_vendor_id | default('0483') }}'
usb_product_id: '{{ usb_product_id | default('374e') }}'

actions:
  deploy:
    methods:
      lxc:
{% if flasher_deploy_commands %}
      flasher:
        commands: {{ flasher_deploy_commands }}
{% endif %}
  boot:
    connections:
      lxc:
      serial:
    methods:
      lxc:
      minimal:
      cmsis-dap:
        parameters:
          usb_mass_device: '{{ usb_mass_device|default('/notset') }}'
          resets_after_flash: {{ resets_after_flash|default(True) }}
          {# Allow to set any cmsis-dap parameters in a device dict. #}
          {% filter indent(width=10) -%}
          {% block cmsis_dap_params %}{% endblock cmsis_dap_params %}
          {% endfilter %}
          {# Next empty line is mandatory (jinja matters). #}

{% endblock body -%}
